From 1243337a1ccfe59031aa635ff7dbe9a4afda39c4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Rados=C5=82aw=20Piliszek?= <radoslaw.piliszek@gmail.com>
Date: Sun, 26 Apr 2020 16:02:43 +0200
Subject: [PATCH] CI: Discern between Ironic client and grep failure

Pipe hid an issue that Ironic client was not available in CI,
making it look as if fake-hardware driver was not usable.

This commit applies separation of concerns to easily discern
between the two failures and provide better debugging experience.

Change-Id: Iac3d84b7d707b84a8426c8d787b29a368ff7ae85
Related-Bug: #1872481
---
 tests/test-ironic.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/tests/test-ironic.sh b/tests/test-ironic.sh
index f92c8222ce..b92c1407f6 100755
--- a/tests/test-ironic.sh
+++ b/tests/test-ironic.sh
@@ -99,12 +99,16 @@ function test_ironic_logged {
     . ~/openstackclient-venv/bin/activate
 
     # Smoke test ironic API.
-    if ! openstack baremetal driver list | grep fake-hardware; then
+    local baremetal_driver_list
+    baremetal_driver_list=$(openstack baremetal driver list)
+    openstack baremetal node list
+    openstack baremetal port list
+
+    # Sanity check.
+    if ! echo "$baremetal_driver_list" | grep fake-hardware; then
         echo "No active conductors with fake-hardware driver"
         exit 1
     fi
-    openstack baremetal node list
-    openstack baremetal port list
 
     create_resources
     wait_for_placement_resources
-- 
GitLab